Subject: Re: [Q] B20.1 Executable sizes?
From: [email-masked] (Corinna Vinschen)

13 Jan 1999 10:26:10 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: "David M. Smith" <[email-masked]>, [email-masked]

David M. Smith wrote:
> 
> Hi,
> 
> I have successfully rebuilt B20.1 under NT 4.0 and can use my version of
> B20.1 to rebuild itself, so I guess things are reasonably OK.  My
> question is, why are the executables that I built about 10 times the
> size of the ones in the distribution (full.exe)?  For example:
> 
> My bash.exe             : 1,433 KB
> Original bash.exe       : 386 KB
> My gcc.exe              : 320 KB
> Original gcc.exe        : 66 KB
> My cygwin1.dll          : 5,911 KB
> Original cygwin1.dll    : 446 KB
> 
> I noticed a flag that enables building shared libraries, is this the key
> to the problem?  Do I have to disable building static libraries as well?
> 
> Any advice appreciated.
> 
> Regards,
> David
> --
> David M. Smith
> 
> If knowledge costs, ignorance costs more.
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

Try `strip bash.exe' etc.. It will strip of the symbol table from the
executable and reduces the size to the expected values.

Corinna
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".